Skip to content
Start here

Get mapping

client.ZeroTrust.DLP.Email.AccountMapping.Get(ctx, query) (*DLPEmailAccountMappingGetResponse, error)
GET/accounts/{account_id}/dlp/email/account_mapping

Retrieves the email provider mapping configuration for DLP email scanning.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
ParametersExpand Collapse
query DLPEmailAccountMappingGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type DLPEmailAccountMappingGetResponse struct{…}
AddinIdentifierToken string
formatuuid
AuthRequirements DLPEmailAccountMappingGetResponseAuthRequirements
One of the following:
type DLPEmailAccountMappingGetResponseAuthRequirementsObject struct{…}
AllowedMicrosoftOrganizations []string
Type DLPEmailAccountMappingGetResponseAuthRequirementsObjectType
type DLPEmailAccountMappingGetResponseAuthRequirementsType struct{…}
Type DLPEmailAccountMappingGetResponseAuthRequirementsTypeType

Get mapping

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  accountMapping, err := client.ZeroTrust.DLP.Email.AccountMapping.Get(context.TODO(), zero_trust.DLPEmailAccountMappingGetParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", accountMapping.AddinIdentifierToken)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "addin_identifier_token": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "auth_requirements": {
      "allowed_microsoft_organizations": [
        "string"
      ],
      "type": "Org"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "addin_identifier_token": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "auth_requirements": {
      "allowed_microsoft_organizations": [
        "string"
      ],
      "type": "Org"
    }
  }
}